%define upstream_name	 Config-IniFiles
%define upstream_version 2.78

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module for reading .ini-style configuration files
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils) >= 0.330.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This perl module allows you to access to config files written in the
.ini style.

%prep
%setup -q -n Config-IniFiles-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Config
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.780.0-2.mga3
+ Revision: 364659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.780.0-1.mga3
+ Revision: 314865
- update to 2.78

* Tue Jul 03 2012 kharec <kharec> 2.770.0-1.mga3
+ Revision: 266936
- update to 2.77

* Mon Jun 18 2012 kharec <kharec> 2.760.0-1.mga3
+ Revision: 261496
- update to 2.76

* Mon May 28 2012 jquelin <jquelin> 2.750.0-1.mga3
+ Revision: 247849
- update to 2.75

* Wed May 23 2012 jquelin <jquelin> 2.730.0-1.mga3
+ Revision: 236004
- update to 2.73

* Wed Jun 22 2011 jquelin <jquelin> 2.680.0-1.mga2
+ Revision: 112183
- update to 2.68

* Fri Feb 18 2011 jquelin <jquelin> 2.660.0-1.mga1
+ Revision: 53721
- update to 2.66

* Fri Jan 21 2011 jquelin <jquelin> 2.650.0-2.mga1
+ Revision: 29345
- rebuild
- mageia rebuild
- cleaning spec file

* Wed Jan 12 2011 jquelin <jquelin> 2.650.0-1.mga1
+ Revision: 7338
- imported package perl-Config-IniFiles

